# Autor: René Albarus - https://www.tech-faq.net
#
# Dieses Skript überprüft, ob ein bestimmter Prozess auf dem lokalen Rechner gestartet ist
# Wird der Prozess zum Zeitpunkt der Überprüfung nicht ausgeführt, wird er gestartet
 
# Prozess und auszuführendes Programm festlegen
# ProcessName = Name des Prozesses im Windows Task Manager
# Program = Aufruf des Programmes in der Windows Eingabeaufforderung / ggfs. Pfad mit angeben

$ProcessName = "calculator"
$Program = "calc.exe"
 
# Prüfen ob ein Programm ausgeführt wird
# Wenn nicht, Starte das die in $Program gespeicherte Anwendung
$CheckProcess = ""
$CheckProcess = Get-Process | Where-Object {$_.ProcessName -eq $ProcessName}
If($CheckProcess -eq $null){
start $Program
} 
else {
Write-Host "Prozess wird aktuell ausgeführt"
}